summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-01-13 06:14:12 -0800
committerZac Medico <zmedico@gentoo.org>2012-01-13 06:14:12 -0800
commit850931b76f62509df1b55ff3f4151393da0b3807 (patch)
tree16211773ef356923ef18532b9bbaaa4459ba1a48 /bin
parent5d5364e982820fda56db5a40884e1c5f8e784b96 (diff)
downloadportage-850931b76f62509df1b55ff3f4151393da0b3807.tar.gz
portage-850931b76f62509df1b55ff3f4151393da0b3807.tar.bz2
portage-850931b76f62509df1b55ff3f4151393da0b3807.zip
dyn_package: remove stale PROOT if necessary
Diffstat (limited to 'bin')
-rwxr-xr-xbin/misc-functions.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index df0493bbe..6094fb7f0 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -1107,6 +1107,7 @@ dyn_package() {
local PROOT="${T}/packaging"
# make a temporary copy of ${D} so that any modifications we do that
# are binpkg specific, do not influence the actual installed image.
+ rm -rf "${PROOT}" || die "failed removing stale package tree"
cp -la "${PORTAGE_BUILDDIR}/image" "${PROOT}" || die "failed creating packaging tree"
install_mask "${PROOT}" "${PKG_INSTALL_MASK}"